[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# FindPart

Search for a substring in a string, using wildcards.

## Declaration

Source position: strutils.pp line 212

`function FindPart(`
`const HelpWilds: string;`
`const InputStr: string`
`):SizeInt;`

## Arguments

`HelpWilds` |  | Search string, may contain wildcards.
`InputStr` |  | String to search in.

## Function result

String matching the search expression.

## Description

FindPart searches the string InputStr and returns the first string that matches the wildcards specification in HelpWilds . If no match is found, and empty string is returned. Currently, the only valid wildcards is the "?" character.

## Errors

None.

## See also

SearchBuf |  | Search a buffer for a certain string.